Page MenuHomePhabricator

in ContentTranslation Template call prefixed with local namespace name ("Modèle" for frwiki, "Predefinição" for ptwiki)
Closed, ResolvedPublic

Description

In ContentTranslation Template call prefixed with "Modèle:" (name of Template namespace on frwiki)

(Split from T96467.)

See many occurrences of {{Predefinição:...}} in

Related Objects

Event Timeline

Amire80 created this task.May 4 2015, 4:19 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2015, 4:19 PM
Amire80 set Security to None.May 4 2015, 4:27 PM
Amire80 added a subscriber: NicoV.

I wonder whether this is still happening. I don't remember seeing it recently.

Amire80 raised the priority of this task from Medium to High.Jun 23 2015, 8:34 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
santhosh lowered the priority of this task from High to Medium.Jun 25 2015, 3:14 AM
santhosh added a subscriber: santhosh.

Still happening, in different languages. For example at https://diq.wikipedia.org/wiki/Karber:Runab_WMF/diq-test-page

@Amire80: I don't know what I am looking at. In the enwiki example above, I don't see Modèle ? Maybe show up on IRC sometime and we can chat more and we can then update this ticket accordingly.

NicoV added a comment.Sep 16 2015, 9:11 PM

@ssastry, in the enwiki example, it's "Template:", not "Modèle:" (which is for frwiki, French translation of template).
The diff is the correction made on the original edit, so "Template:" appears on the left side.

NicoV added a comment.Sep 16 2015, 9:11 PM
This comment was removed by NicoV.

I am confused still. In the left hand column (on an enwiki page), it uses Template: prefix which is the right prefix on enwiki right?

In any case, I don't think whatever the issue is is related to Parsoid. Parsoid uses data-mw.parts[].template.target.wt to generate the transclusion. So, it just emits whatever it finds there. But, if some special Parsoid support is required here, that is something that I need to understand better.

NicoV added a comment.Sep 16 2015, 9:46 PM

I don't know if this problem has anything to do with Parsoid : the problem is that sometimes, CX creates articles where template calls are prefixed by an unnecessary "Template:" for enwiki, "Modèle:" for frwiki, ... (the localized name of the Template namespace on the wiki). The prefix shouldn't be added, it's totally unnecessary and creates unnecessary complex syntax.

That's just one of the many problems with CX....

I am confused still. In the left hand column (on an enwiki page), it uses Template: prefix which is the right prefix on enwiki right?

There should be no prefix. It should not have Template: or Modèle:. {{Template:cite web|....}}} should just be {{cite web|....}}

I am confused still. In the left hand column (on an enwiki page), it uses Template: prefix which is the right prefix on enwiki right?

There should be no prefix. It should not have Template: or Modèle:. {{Template:cite web|....}}} should just be {{cite web|....}}

Ah, ok. I, for some strange reason, totally misread the description and comments (blame it as late evening tiredness :) ) ... I thought that the wrong-language prefix was being added. But, the issue is more that the prefix shouldn't be there at all.

ssastry moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Sep 16 2015, 10:48 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:42 PM
Elitre added a subscriber: Elitre.Feb 15 2016, 4:13 PM
He7d3r renamed this task from in ContentTranslation Template call prefixed with "Modèle:" (name of Template namespace on frwiki) to in ContentTranslation Template call prefixed with local namespace name ("Modèle" for frwiki, "Pedefinição" for ptwiki).May 1 2016, 6:11 PM
He7d3r updated the task description. (Show Details)
Amire80 renamed this task from in ContentTranslation Template call prefixed with local namespace name ("Modèle" for frwiki, "Pedefinição" for ptwiki) to in ContentTranslation Template call prefixed with local namespace name ("Modèle" for frwiki, "Predefinição" for ptwiki).May 9 2016, 11:37 AM

As part of of fixing T136817: MT: A 'Restore' after 'Clear paragraph ' miss data-mw and data-parsoid attributes, this issue was identified and fixed with https://gerrit.wikimedia.org/r/#/c/292528/ and https://gerrit.wikimedia.org/r/292548

From the commit message:

As per https://www.mediawiki.org/wiki/Specs/HTML/1.2.1#Transclusion_content
data-mw.parts.template.target.wt can have the template name like "foo"
or "Template:Foo". Their resulting wikitext will be slightly different
as in: {{Foo}} or {{Template:Foo}}, but the resulting HTML rendering
for both of this is same - Template Foo will be used. You can try this
by this example {{Template:En}} and {{En}}

Content translation was adapating the templates with wt set as Template:Foo
so far. It works as per the above explanation. But when you try to restore
such translation drafts, Template names were read as Template:Foo and processing
blindly adds another Template: prefix resulting deconstruction of such
templates by not finding it in target wiki.

Arrbee raised the priority of this task from Medium to High.Jun 14 2016, 6:56 AM
Arrbee lowered the priority of this task from High to Medium.
Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.
Amire80 closed this task as Resolved.Jul 4 2016, 8:23 PM